summaryrefslogtreecommitdiffstats
path: root/development/pcc
diff options
context:
space:
mode:
author Armin Besirovic <armin[at]linux[dot]org[dot]ba>2011-06-17 19:44:31 -0500
committer Robby Workman <rworkman@slackbuilds.org>2011-06-17 19:44:31 -0500
commit636099ce62dee1bd48fea62a6847a2de857d06f8 (patch)
tree99b332f1fe64ffa0c0516d716a2ecc6ce368765c /development/pcc
parentaae44701d5d7668a112195084e072ebbb1441f4b (diff)
downloadslackbuilds-636099ce62dee1bd48fea62a6847a2de857d06f8.tar.gz
slackbuilds-636099ce62dee1bd48fea62a6847a2de857d06f8.tar.xz
development/pcc: Added (Portable C Compiler)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'development/pcc')
-rw-r--r--development/pcc/README3
-rw-r--r--development/pcc/pcc.SlackBuild76
-rw-r--r--development/pcc/pcc.info10
-rw-r--r--development/pcc/slack-desc19
4 files changed, 108 insertions, 0 deletions
diff --git a/development/pcc/README b/development/pcc/README
new file mode 100644
index 0000000000..59a3ef7e16
--- /dev/null
+++ b/development/pcc/README
@@ -0,0 +1,3 @@
+pcc (Portable C Compiler) is based on the original Portable C Compiler
+by S. C. Johnson, written in the late 70's. About 50% of the frontend
+code and 80% of the backend code has been rewritten.
diff --git a/development/pcc/pcc.SlackBuild b/development/pcc/pcc.SlackBuild
new file mode 100644
index 0000000000..a640a75d95
--- /dev/null
+++ b/development/pcc/pcc.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Slackware build script for pcc (Portable C Compiler)
+# Written by Armin Besirovic <armin[at]linux[dot]org[dot]ba>
+
+PRGNAM=pcc
+VERSION=${VERSION:-1.0.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+gzip -9 $PKG/usr/man/man?/*.?
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/pcc/pcc.info b/development/pcc/pcc.info
new file mode 100644
index 0000000000..0f2f85ab93
--- /dev/null
+++ b/development/pcc/pcc.info
@@ -0,0 +1,10 @@
+PRGNAM="pcc"
+VERSION="1.0.0"
+HOMEPAGE="http://pcc.ludd.ltu.se/"
+DOWNLOAD="ftp://pcc.ludd.ltu.se/pub/pcc-releases/pcc-1.0.0.tgz"
+MD5SUM="6e5d851ee57fe58702fe4e80ecd1f852"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Armin Besirovic"
+EMAIL="armin[at]linux[dot]org[dot]ba"
+APPROVED="rworkman"
diff --git a/development/pcc/slack-desc b/development/pcc/slack-desc
new file mode 100644
index 0000000000..e77ca4d9e5
--- /dev/null
+++ b/development/pcc/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+pcc: pcc (Portable C Compiler)
+pcc:
+pcc: The compiler is based on the original Portable C Compiler by S. C.
+pcc: Johnson, written in the late 70's. About 50% of the frontend code
+pcc: and 80% of the backend code has been rewritten. See the PCC History
+pcc: wiki page for details.
+pcc:
+pcc: Project website: http://pcc.ludd.ltu.se/
+pcc:
+pcc:
+pcc: